## splash 2.9.0

=== debian/changelog ===
splash (2.9.0-2) unstable; urgency=medium

  [ Steve Langasek ]
  * Build-depend on texlive-plain-generic (Closes: 941551)

  [ Ole Streicher ]
  * Use FFLAGS provided by the system
  * Add gitlab-ci.yml for salsa

 -- Ole Streicher <olebole@debian.org>  Wed, 02 Oct 2019 12:05:45 +0200

splash (2.9.0-1) unstable; urgency=low

  * New upstream version 2.9.0. Rediff patches
  * Push Standards-Version to 4.4.0. No changes required.
  * Push compat to 12; switch to debhelper-compat
  * Work around mysterious dwz bug

 -- Ole Streicher <olebole@debian.org>  Thu, 25 Jul 2019 15:09:47 +0200

=== debian/control ===
Source: splash
Section: science
Priority: optional
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper-compat (= 12),
               gfortran,
               giza-dev,
               help2man,
               texlive-fonts-recommended,
               texlive-plain-generic,
               texlive-latex-base,
               texlive-latex-recommended
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/debian-astro-team/splash
Vcs-Git: https://salsa.debian.org/debian-astro-team/splash.git
Homepage: http://users.monash.edu.au/~dprice/splash/

Package: splash
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Visualisation tool for Smoothed Particle Hydrodynamics simulation
 This (formerly SUPERSPHPLOT) is a visualisation tool for output from
 (astrophysical) simulations using the Smoothed Particle Hydrodynamics
 (SPH) method in one, two and three dimensions. It is written in
 Fortran 90 and can utilise the PGPLOT graphics subroutine library to do
 the actual plotting. It is based around a command-line menu structure
 but utilises the interactive capabilities of PGPLOT to manipulate data
 interactively in the plotting window.

## splash 2.9.1

=== build/Makefile ===
##-------------------------------------------------------------------##
##     Makefile for compiling SPLASH and linking with                ##
##      required libraries                                           ##
##				                                     ##
##     Written by Daniel Price                                       ##
##     University of Exeter, UK,     2004-2008                       ##
##     Monash University, Australia, 2008-                           ##
##                                                                   ##
##     requires GNU make (on some systems this is 'gmake' instead    ##
##                        of 'make')                                 ##
##                                                                   ##
##     see the INSTALL file for detailed installation instructions   ##
##-------------------------------------------------------------------##

.KEEP_STATE:

KNOWN_SYSTEM=no
SRCDIR=../src
BINDIR=../bin
TESTDIR=../tests
VPATH=$(SRCDIR) $(SRCDIR)/H5Part
SHELL=/bin/bash

#
# some default settings for unix systems
#
FC=
FFLAGS=
#
# change the line below if SPLASH does not find the X11 libraries
# (some settings of the SYSTEM variable for specific machines overwrite this)
#
# X11_LIBS= -L/usr/X11R6/lib64 -lX11
X11_DIR= /usr/X11/
X11_LIBS= -L$(X11_DIR)/lib -lX11
X11_CFLAGS= -I$(X11_DIR)/include
CAIRO_LIBS= -L$(X11_DIR)/lib -lcairo
CAIRO_CFLAGS= -I$(X11_DIR)/include

#--------------------------------------------------------------
# here we choose the backend plotting library for splash
# (giza is the default backend for splash v2.x, but can
#  still be compiled with PGPLOT, just with disabled features)
#--------------------------------------------------------------
ifneq ($(BACKEND), pgplot)
#-- C A I R O --
   GIZA_DIR= $(PREFIX)
   PLOTLIB= giza-fortran.F90 plotlib_giza.f90
   PGPLOTLIBS = -L$(GIZA_DIR)/lib -lgiza $(CAIRO_LIBS)
   CFLAGS= -fPIC -Wall -Wextra -O3 -g
   CC = gcc
else
#-- P G P L O T --
   PLOTLIB= plotlib_pgplot.f90
#
# change the line below depending on where/how you have installed PGPLOT
# (some settings of the SYSTEM variable for specific machines overwrite this)
#
   PGPLOTLIBS = -L$(PGPLOT_DIR) -lpgplot -lpng
endif
#--------------------------------------------------------------

#
# If you need the HDF5 libraries, edit the lines below
# possibly adding a -L/libpath/ and a -I/includepath/
#
HDF5LIBS    = -L$(HDF5ROOT)/lib -lhdf5
HDF5INCLUDE = -I$(HDF5ROOT)/include
H5PART_LIBS    = -L$(H5PART_DIR)/lib -lH5Part
H5PART_INCLUDE = -I$(H5PART_DIR)/include
#
# this file contains system-dependent routines like getarg, iargc etc.
#
SYSTEMFILE= system_f2003.f90
#
# this can be used to static link the pgplot libraries if all else fails
#
STATICLIBS=
#
# set the parallel flag to 'yes' to compile with openMP directives
#
#PARALLEL=no
ifndef OPENMP
OPENMP=yes
endif
#
# the openMP flags should be set in the lines defining your system type
# (ie. leave line below blank)
OMPFLAGS=
#
# the endian flag can be used to compile the code to read BIG or LITTLE endian data
# some compilers also allow this to be done at runtime (e.g. g95, ifort) by setting
# an environment variable appropriately (e.g. G95_ENDIAN or F_UFMTENDIAN)
#
#ENDIAN=
#ENDIAN='BIG'
#ENDIAN='LITTLE'
#
# default destination for installed binaries
#
DESTDIR=
PREFIX=/usr/local/
#
# default C compiler
#
ifndef CC
CC = gcc
endif
ifndef CXX
CXX = g++
endif

# default C++ library linking
# (different between Mac/Linux)
UNAME=$(shell uname)
ifeq ($(UNAME), Darwin)
    CXXLIBS= -lc++
else
    CXXLIBS= -lstdc++
endif

#--------------------------------------------------------------
#  the following are general settings for particular compilers
#
#  set the environment variable 'SYSTEM' to one of those
#  listed to use the appropriate settings
#
#  e.g. in tcsh use
#  setenv SYSTEM 'g95'
#
#  in bash the equivalent is
#  export SYSTEM='g95'
#
#--------------------------------------------------------------

ifeq ($(SYSTEM), gfortran)
#  gfortran compiler (part of gcc 4.x.x)
   FC= gfortran
   FFLAGS= -O3 -frecord-marker=4 -fPIC
   DBLFLAGS= -fdefault-real-8 -fdefault-double-8
   SYSTEMFILE= system_f2003.f90
   DEBUGFLAG= -Wall -Wextra -pedantic -g -frange-check -fcheck=all -fbacktrace \
              -finit-real=NaN #-ffpe-trap=invalid,zero,overflow
   OMPFLAGS= -fopenmp
   ENDIANFLAGBIG= -fconvert=big-endian
   ENDIANFLAGLITTLE= -fconvert=little-endian
   KNOWN_SYSTEM=yes
endif

ifeq ($(SYSTEM),nagf95)
#  NAG f95 compiler
   FC= f95
   FFLAGS= -O3
   DBLFLAGS= -r8
   SYSTEMFILE= system_unix_NAG.f90
   PARALLEL= no
   KNOWN_SYSTEM=yes
endif

ifeq ($(SYSTEM),sunf95)
#  sun f95 compiler on linux
   FC= sunf95
   FFLAGS= -fast -ftrap=%none
   OMPFLAGS= -openmp
   DBLFLAGS= -xtypemap=real:64,double:64
   DEBUGFLAG= -g -C -w4 -errtags -erroff=COMMENT_1582,COMMENT_1744 -ftrap=%all
   SYSTEMFILE= system_f2003.f90
   ENDIANFLAGBIG= -xfilebyteorder=big16:%all
   ENDIANFLAGLITTLE= -xfilebyteorder=little16:%all
   KNOWN_SYSTEM=yes
endif

ifeq ($(SYSTEM),ifort)
#  this is for the intel fortran compiler (version 10)
   FC= ifort
#   FFLAGS= -O3 -nbs -i_dynamic
   FFLAGS= -O3 -nbs
   OMPFLAGS= -qopenmp
   DBLFLAGS= -r8
   DEBUGFLAG= -C -g
   SYSTEMFILE= system_f2003.f90
   ENDIANFLAGBIG= -convert big_endian
   ENDIANFLAGLITTLE= -convert little_endian
# or use setenv F_UFMTENDIAN=big or little at runtime
   KNOWN_SYSTEM=yes
   CC=icc
   CFLAGS=-Wall -O3 -fPIC
endif

ifeq ($(SYSTEM),ifort8)
#  this is for the intel fortran compiler (version 8)
   FC= ifort
   FFLAGS= -O3 -Vaxlib -nbs
   OMPFLAGS= -openmp
   DBLFLAGS= -r8
   DEBUGFLAG= -C -g
   SYSTEMFILE= system_unix.f90
   ENDIANFLAGBIG= -convert big_endian
   ENDIANFLAGLITTLE= -convert little_endian
# or use setenv F_UFMTENDIAN=big or little at runtime
   KNOWN_SYSTEM=yes
endif

ifeq ($(SYSTEM),pgf90)
#  this is for the Portland Group Fortran 90 compiler (tested with version 7.2-5)
   FC= pgf90
   FFLAGS= -fast -mcmodel=medium -Mbackslash -Ktrap=none
   DBLFLAGS= -r8
   DEBUGFLAG= -C -g -gopt -Mbounds -Mchkfpstk -Mchkptr -Mchkstk -Mcoff \
              -Mdwarf1 -Mdwarf2 -Melf -Mpgicoff -traceback
   OMPFLAGS= -mp
   SYSTEMFILE= system_unix.f90
   ENDIANFLAGBIG= -Mbyteswapio  # only works on a little-endian machine
   ENDIANFLAGLITTLE=
   KNOWN_SYSTEM=yes
endif

ifeq ($(SYSTEM),pathf95)
#  this is for the Pathscale f95 compiler
   FC= pathf95
   FFLAGS= -Ofast -mcmodel=medium
   DBLFLAGS= -r8
   DEBUGFLAG= -C -g
   OMPFLAGS= -openmp
   SYSTEMFILE= system_f2003.f90
   ENDIANFLAGBIG= -convert big_endian
   ENDIANFLAGLITTLE= -convert little_endian
   KNOWN_SYSTEM=yes
endif

#--------------------------------------------------------------
#
# the following presets are machine-specific
# (ie. relate to both the compiler and a specific
#      installation of pgplot)
#
#--------------------------------------------------------------
ifeq ($(SYSTEM),zen)
#  this is for the intel fortran compiler
   FC= ifort
   FFLAGS= -O3 -mcmodel=medium -axT -warn all #-ipo #-assume nounderscore
   OMPFLAGS= -openmp
   DEBUGFLAG= -check all -traceback -g
   SYSTEMFILE= system_f2003.f90
   ENDIANFLAGBIG= -convert big_endian
   ENDIANFLAGLITTLE= -convert little_endian
   X11_LIBS=-L/home/djp212/lib -lX11
   PGPLOTLIBS= -lpng #-L${PGPLOT_DIR} -lpgplot -lpng
   STATICLIBS= /home/djp212/pgplot/libpgplot.a
# or use setenv F_UFMTENDIAN=big or little at runtime
   KNOWN_SYSTEM=yes
endif

ifeq ($(SYSTEM),intelmac)
#  these are the settings for an Intel Macbook running Tiger
#  using gfortran with pgplot installed via fink
   FC= gfortran
   FFLAGS= -O3 -ffast-math
   DEBUGFLAG= -Wall -Wextra -Wno=165 -g -frange-check
   PGPLOTLIBS= -L/sw/lib/pgplot -lpgplot -L/sw/lib -lpng \
          -laquaterm -Wl,-framework -Wl,Foundation -lSystemStubs
   SYSTEMFILE= system_f2003.f90
   PARALLEL= no
   KNOWN_SYSTEM=yes
endif

ifeq ($(SYSTEM),cody)
    FC= gfortran
    FFLAGS= -O3 -Wall
    SYSTEMFILE= system_f2003.f90
    DBLFLAGS= -fdefault-real-8 -fdefault-double-8
    DEBUGFLAG= -g -frange-check
    OMPFLAGS= -fopenmp
    ENDIANFLAGBIG= -fconvert=big-endian
    ENDIANFLAGLITTLE= -fconvert=little-endian
    SNFLAGS= -L$(HOME)/tree16/Objfiles/g5 -lsw
    CFLAGS = -g -O2 -Wall -I$(HOME)/tree16/include -fbounds-check
    CC = gcc
    KNOWN_SYSTEM=yes
endif

#
# these are the flags used for linking
#
LDFLAGS= $(X11_LIBS) $(PGPLOTLIBS)

#
# this is an option to change the endian-ness at compile time
# (provided the appropriate flags are specified for the compiler)
#
ifeq ($(ENDIAN), BIG)
    FFLAGS += ${ENDIANFLAGBIG}
endif

ifeq ($(ENDIAN), LITTLE)
    FFLAGS += ${ENDIANFLAGLITTLE}
endif

# compile in parallel
ifeq ($(PARALLEL),yes)
    FFLAGS += $(OMPFLAGS)
else
   ifeq ($(OPENMP),yes)
      FFLAGS += $(OMPFLAGS)
   endif
endif

# compile in double precision
ifeq ($(DOUBLEPRECISION), yes)
    FFLAGS += ${DBLFLAGS}
endif

# add debugging flags at compile time
ifeq ($(DEBUG),yes)
    FFLAGS += $(DEBUGFLAG)
endif

# link with hdf5 libraries
ifeq ($(HDF5),yes)
    CFLAGS  += $(HDF5INCLUDE)
    LDFLAGS += $(HDF5LIBS)
endif

#
# MPI... no splash doesn't use it
# but sometimes you need to compile
# with the mpi compiler (e.g. to link
# correctly to MPI-HDF5 libraries)
# This just changes the compiler name
# whilst keeping the flags the same
# if MPI is set to "yes"
#
ifeq ($(MPI),yes)
    FC= mpif90 -DPARALLEL_IO
    CC=mpicc -DPARALLEL_IO
endif

#
# If PGPLOT was compiled with a different compiler to the one used here,
# need to link to the libraries for that compiler. We attempt to do this
# automatically below by looking in the PGPLOT makefile.
#
# If the relevant library is not found, may also need -L/dir/ for the directory
# where the corresponding library is located (e.g. -L/usr/local/gfortran/lib -lgfortran)
#
# (information about what is done here is printed via the checkpgplot target, below)
#
ifeq ($(BACKEND),pgplot)
   ifdef PGPLOT_DIR

      PGPLOT_COMP=${shell if [ -e $$PGPLOT_DIR/makefile ]; then grep 'FCOMPL=' $$PGPLOT_DIR/makefile | cut -d= -f2; else echo unknown; fi}

      ifneq (X$(FC), X)  # make sure it is not just accidentally blank
      ifneq ($(PGPLOT_COMP), $(FC))
# g77-compiled PGPLOT
        ifeq ($(PGPLOT_COMP), g77)
           PGPLOTLIBS+=-lg2c
        endif
# gfortran-compiled PGPLOT
        ifeq ($(PGPLOT_COMP), gfortran)
           PGPLOTLIBS+=-lgfortran
        endif
# g95-compiled PGPLOT
        ifeq ($(PGPLOT_COMP), g95)
           PGPLOTLIBS+=-lg95
        endif
      endif
      endif
   endif
endif

ifeq ($(FC),gfortran)
  GFORTRAN_VERSION=${shell $(FC) -dumpversion | head -1 | awk '{print $$NF}'}
  GFORTRAN_VMAJOR:=${shell echo "$(GFORTRAN_VERSION)" | cut -f1 -d.}
  GFORTRAN_VMINOR:=${shell echo "$(GFORTRAN_VERSION)" | cut -f2 -d.}
  GFORTRAN_GE_4_4:=$(shell [ $(GFORTRAN_VMAJOR) -gt 4 -o \( $(GFORTRAN_VMAJOR) -eq 4 -a $(GFORTRAN_VMINOR) -ge 4 \) ] && echo true)
else
  GFORTRAN_GE_4_4:=true
endif

# define the implicit rule to make a .o file from a .f90/.f95 file
# (some Make versions don't know this)

%.o : %.f90
	$(FC) $(FFLAGS) -c $< -o $@
%.o : %.F90
	$(FC) $(FPPFLAGS) $(FFLAGS) -c $< -o $@
%.o : %.f95
	$(FC) $(FFLAGS) -c $< -o $@
%.o : %.c
	$(CC) -c $(CFLAGS) $(INCLUDES) $< -o $@

# modules must be compiled in the correct order to check interfaces
# really should include all dependencies but I am lazy

SOURCES= $(PLOTLIB) globaldata.f90 asciiutils.f90 \
         labels.f90 partutils.f90 transform.f90 setpage.f90 sort.f90 \
         prompting.f90 promptlist.f90 geometry.f90 kernels.f90 \
         interpolation.f90 plotutils.f90 colourbar.f90 \
         colours.f90 colourparts.f90 timing.f90 pagecolours.f90 \
         units.f90 limits.f90 geomutils.f90 dataread_utils.f90 \
         write_data_gadget.f90 write_data_phantom.f90 write_pixmap.f90 \
         write_griddata.f90 write_sphdata.f90 \
         $(SYSTEMFILE) system_utils.f90 \
         cubicsolve.f90 discplot.f90 \
         fparser.f90 parsetext.f90 \

=== debian/changelog ===
splash (2.9.1-1ubuntu1) focal; urgency=medium

  * Build-depend on texlive-latex-extra to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 15 Mar 2020 21:54:06 -0400

splash (2.9.1-1) unstable; urgency=low

  * New upstream version 2.9.1. Rediff patches
  * Push Standards-Version to 4.4.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Mon, 11 Nov 2019 14:43:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: splash
 Section: science
 Priority: optional
-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Build-Depends: debhelper-compat (= 12),
                gfortran,
@@ -10,8 +11,9 @@
                texlive-fonts-recommended,
                texlive-plain-generic,
                texlive-latex-base,
+               texlive-latex-extra,
                texlive-latex-recommended
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/splash
 Vcs-Git: https://salsa.debian.org/debian-astro-team/splash.git
 Homepage: http://users.monash.edu.au/~dprice/splash/

## splash 2.10.1

=== build/Makefile ===
--- 
+++ 
@@ -68,6 +68,12 @@
 HDF5INCLUDE = -I$(HDF5ROOT)/include
 H5PART_LIBS    = -L$(H5PART_DIR)/lib -lH5Part
 H5PART_INCLUDE = -I$(H5PART_DIR)/include
+ifdef FITS_DIR
+   FITSLIBS = -L$(FITS_DIR)/lib -lcfitsio
+else
+   FITSLIBS = -lcfitsio
+endif
+FITSINCLUDE = -I$(FITS_DIR)/include
 #
 # this file contains system-dependent routines like getarg, iargc etc.
 #
@@ -136,7 +142,7 @@
 ifeq ($(SYSTEM), gfortran)
 #  gfortran compiler (part of gcc 4.x.x)
    FC= gfortran
-   FFLAGS= -O3 -frecord-marker=4 -fPIC
+   FFLAGS= -O3 -fPIC
    DBLFLAGS= -fdefault-real-8 -fdefault-double-8
    SYSTEMFILE= system_f2003.f90
    DEBUGFLAG= -Wall -Wextra -pedantic -g -frange-check -fcheck=all -fbacktrace \
@@ -145,6 +151,21 @@
    ENDIANFLAGBIG= -fconvert=big-endian
    ENDIANFLAGLITTLE= -fconvert=little-endian
    KNOWN_SYSTEM=yes
+endif
+
+ifeq ($(SYSTEM), gfortran-catalina)
+#  gfortran compiler (part of gcc 4.x.x)
+   FC= gfortran
+   FFLAGS= -O3 -frecord-marker=4 -fPIC
+   DBLFLAGS= -fdefault-real-8 -fdefault-double-8
+   SYSTEMFILE= system_f2003.f90
+   DEBUGFLAG= -Wall -Wextra -pedantic -g -frange-check -fcheck=all -fbacktrace \
+              -finit-real=NaN #-ffpe-trap=invalid,zero,overflow
+   OMPFLAGS= -fopenmp
+   ENDIANFLAGBIG= -fconvert=big-endian
+   ENDIANFLAGLITTLE= -fconvert=little-endian
+   KNOWN_SYSTEM=yes
+   X11_DIR= /opt/X11/
 endif
 
 ifeq ($(SYSTEM),nagf95)
@@ -393,14 +414,3 @@
 # modules must be compiled in the correct order to check interfaces
 # really should include all dependencies but I am lazy
 
-SOURCES= $(PLOTLIB) globaldata.f90 asciiutils.f90 \
-         labels.f90 partutils.f90 transform.f90 setpage.f90 sort.f90 \
-         prompting.f90 promptlist.f90 geometry.f90 kernels.f90 \
-         interpolation.f90 plotutils.f90 colourbar.f90 \
-         colours.f90 colourparts.f90 timing.f90 pagecolours.f90 \
-         units.f90 limits.f90 geomutils.f90 dataread_utils.f90 \
-         write_data_gadget.f90 write_data_phantom.f90 write_pixmap.f90 \
-         write_griddata.f90 write_sphdata.f90 \
-         $(SYSTEMFILE) system_utils.f90 \
-         cubicsolve.f90 discplot.f90 \
-         fparser.f90 parsetext.f90 \

=== debian/changelog ===
splash (2.10.1-1) unstable; urgency=low

  * New upstream version 2.10.1. Rediff patches
  * Push dh-compat to 13
  * Add "Rules-Requires-Root: no" to d/control

 -- Ole Streicher <olebole@debian.org>  Thu, 25 Jun 2020 17:40:12 +0200

splash (2.10.0-1) unstable; urgency=low

  * New upstream version 2.10.0. Rediff patches
  * Push Standards-Version to 4.5.0. No changes required
  * Add texlive-latex-extra to build-deps (Closes: #952231)
  * Fix underscores in version_history_tex.tex

 -- Ole Streicher <olebole@debian.org>  Tue, 10 Mar 2020 17:00:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,25 @@
 Source: splash
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                gfortran,
                giza-dev,
                help2man,
+               latexmk,
+               python3-sphinx,
+               python3-sphinx-rtd-theme,
                texlive-fonts-recommended,
                texlive-plain-generic,
                texlive-latex-base,
                texlive-latex-extra,
                texlive-latex-recommended
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/splash
 Vcs-Git: https://salsa.debian.org/debian-astro-team/splash.git
 Homepage: http://users.monash.edu.au/~dprice/splash/
+Rules-Requires-Root: no
 
 Package: splash
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export SYSTEM=gfortran

%:
	dh $@ --no-parallel

override_dh_installdocs:
	$(MAKE) docs
	dh_installdocs

override_dh_installman:
	mkdir -p man
	help2man ./bin/splash | sed "s/^.*manual page for SPLASH:/splash \\-\\-/" > man/splash.1
	for i in `ls bin` ; do \
	  if [ ! -f man/$$i.1 ] ; then \
	    ln -s splash.1 man/$$i.1 ; \
	  fi ; \
	done
	dh_installman

override_dh_auto_clean:
	make clean

override_dh_dwz:
	true # workaround mysterious error

## splash 3.3.4

=== build/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 SRCDIR=../src
 BINDIR=../bin
 TESTDIR=../tests
-VPATH=$(SRCDIR) $(SRCDIR)/H5Part
+VPATH=$(SRCDIR) $(SRCDIR)/H5Part ../utils
 SHELL=/bin/bash
 
 #
@@ -90,6 +90,12 @@
 OPENMP=yes
 endif
 #
+# compile in double precision by default (v3.0 onwards this is now default)
+#
+ifndef DOUBLEPRECISION
+DOUBLEPRECISION=yes
+endif
+#
 # the openMP flags should be set in the lines defining your system type
 # (ie. leave line below blank)
 OMPFLAGS=
@@ -131,11 +137,8 @@
 #  set the environment variable 'SYSTEM' to one of those
 #  listed to use the appropriate settings
 #
-#  e.g. in tcsh use
-#  setenv SYSTEM 'g95'
-#
 #  in bash the equivalent is
-#  export SYSTEM='g95'
+#  export SYSTEM='gfortran'
 #
 #--------------------------------------------------------------
 
@@ -150,31 +153,6 @@
    OMPFLAGS= -fopenmp
    ENDIANFLAGBIG= -fconvert=big-endian
    ENDIANFLAGLITTLE= -fconvert=little-endian
-   KNOWN_SYSTEM=yes
-endif
-
-ifeq ($(SYSTEM), gfortran-catalina)
-#  gfortran compiler (part of gcc 4.x.x)
-   FC= gfortran
-   FFLAGS= -O3 -frecord-marker=4 -fPIC
-   DBLFLAGS= -fdefault-real-8 -fdefault-double-8
-   SYSTEMFILE= system_f2003.f90
-   DEBUGFLAG= -Wall -Wextra -pedantic -g -frange-check -fcheck=all -fbacktrace \
-              -finit-real=NaN #-ffpe-trap=invalid,zero,overflow
-   OMPFLAGS= -fopenmp
-   ENDIANFLAGBIG= -fconvert=big-endian
-   ENDIANFLAGLITTLE= -fconvert=little-endian
-   KNOWN_SYSTEM=yes
-   X11_DIR= /opt/X11/
-endif
-
-ifeq ($(SYSTEM),nagf95)
-#  NAG f95 compiler
-   FC= f95
-   FFLAGS= -O3
-   DBLFLAGS= -r8
-   SYSTEMFILE= system_unix_NAG.f90
-   PARALLEL= no
    KNOWN_SYSTEM=yes
 endif
 
@@ -194,7 +172,6 @@
 ifeq ($(SYSTEM),ifort)
 #  this is for the intel fortran compiler (version 10)
    FC= ifort
-#   FFLAGS= -O3 -nbs -i_dynamic
    FFLAGS= -O3 -nbs
    OMPFLAGS= -qopenmp
    DBLFLAGS= -r8
@@ -206,20 +183,6 @@
    KNOWN_SYSTEM=yes
    CC=icc
    CFLAGS=-Wall -O3 -fPIC
-endif
-
-ifeq ($(SYSTEM),ifort8)
-#  this is for the intel fortran compiler (version 8)
-   FC= ifort
-   FFLAGS= -O3 -Vaxlib -nbs
-   OMPFLAGS= -openmp
-   DBLFLAGS= -r8
-   DEBUGFLAG= -C -g
-   SYSTEMFILE= system_unix.f90
-   ENDIANFLAGBIG= -convert big_endian
-   ENDIANFLAGLITTLE= -convert little_endian
-# or use setenv F_UFMTENDIAN=big or little at runtime
-   KNOWN_SYSTEM=yes
 endif
 
 ifeq ($(SYSTEM),pgf90)
@@ -230,7 +193,7 @@
    DEBUGFLAG= -C -g -gopt -Mbounds -Mchkfpstk -Mchkptr -Mchkstk -Mcoff \
               -Mdwarf1 -Mdwarf2 -Melf -Mpgicoff -traceback
    OMPFLAGS= -mp
-   SYSTEMFILE= system_unix.f90
+   SYSTEMFILE= system_f2003.f90
    ENDIANFLAGBIG= -Mbyteswapio  # only works on a little-endian machine
    ENDIANFLAGLITTLE=
    KNOWN_SYSTEM=yes
@@ -251,40 +214,9 @@
 
 #--------------------------------------------------------------
 #
-# the following presets are machine-specific
-# (ie. relate to both the compiler and a specific
-#      installation of pgplot)
-#
-#--------------------------------------------------------------
-ifeq ($(SYSTEM),zen)
-#  this is for the intel fortran compiler
-   FC= ifort
-   FFLAGS= -O3 -mcmodel=medium -axT -warn all #-ipo #-assume nounderscore
-   OMPFLAGS= -openmp
-   DEBUGFLAG= -check all -traceback -g
-   SYSTEMFILE= system_f2003.f90
-   ENDIANFLAGBIG= -convert big_endian
-   ENDIANFLAGLITTLE= -convert little_endian
-   X11_LIBS=-L/home/djp212/lib -lX11
-   PGPLOTLIBS= -lpng #-L${PGPLOT_DIR} -lpgplot -lpng
-   STATICLIBS= /home/djp212/pgplot/libpgplot.a
-# or use setenv F_UFMTENDIAN=big or little at runtime
-   KNOWN_SYSTEM=yes
-endif
-
-ifeq ($(SYSTEM),intelmac)
-#  these are the settings for an Intel Macbook running Tiger
-#  using gfortran with pgplot installed via fink
-   FC= gfortran
-   FFLAGS= -O3 -ffast-math
-   DEBUGFLAG= -Wall -Wextra -Wno=165 -g -frange-check
-   PGPLOTLIBS= -L/sw/lib/pgplot -lpgplot -L/sw/lib -lpng \
-          -laquaterm -Wl,-framework -Wl,Foundation -lSystemStubs
-   SYSTEMFILE= system_f2003.f90
-   PARALLEL= no
-   KNOWN_SYSTEM=yes
-endif
-
+# the following presets are user or machine-specific
+#
+#--------------------------------------------------------------
 ifeq ($(SYSTEM),cody)
     FC= gfortran
     FFLAGS= -O3 -Wall
@@ -329,17 +261,12 @@
 # compile in double precision
 ifeq ($(DOUBLEPRECISION), yes)
     FFLAGS += ${DBLFLAGS}
+    FPPFLAGS+=-DDP
 endif
 
 # add debugging flags at compile time
 ifeq ($(DEBUG),yes)
     FFLAGS += $(DEBUGFLAG)
-endif
-
-# link with hdf5 libraries
-ifeq ($(HDF5),yes)
-    CFLAGS  += $(HDF5INCLUDE)
-    LDFLAGS += $(HDF5LIBS)
 endif
 
 #
@@ -414,3 +341,59 @@
 # modules must be compiled in the correct order to check interfaces
 # really should include all dependencies but I am lazy
 
+READFILES= read_data_ascii.f90           read_data_sphNG.f90     read_data_ndspmhd.f90 \
+           read_data_gadget.f90          read_data_VINE.f90      read_data_sro.f90 \
+           read_data_dragon.f90          read_data_seren.f90     read_data_tipsy.f90 \
+           read_data_mhutch.f90          read_data_UCLA.f90      read_data_aly.f90 \
+           read_data_bauswein.f90        read_data_egaburov.f90  read_data_starsmasher.f90 \
+           read_data_gadget_jsb.f90      read_data_foulkes.f90   read_data_jjm.f90 \
+           read_data_jjm_multiphase.f90  read_data_mbate.f90     read_data_oilonwater.f90 \
+           read_data_rsph.f90            read_data_urban.f90     read_data_spyros.f90 \
+           read_data_vanaverbeke.f90
+
+READFILES_HDF5= hdf5_helper_utils.c            read_data_gadget_hdf5_utils.c   read_data_gadget_hdf5.f90 \
+                read_data_amuse_hdf5_utils.c    read_data_amuse_hdf5.f90  \
+                read_data_cactus_hdf5_utils.c   read_data_cactus_hdf5_futils.f90   read_data_cactus_hdf5.f90 \
+                read_data_flash_hdf5_utils.c    read_data_flash_hdf5.f90
+                #read_data_falcON_hdf5_utils.cc  read_data_falcON_hdf5_utils.f90    read_data_falcON_hdf5.f90 \
+
+READFILES_FITS= write_fits.f90 read_data_fits.f90
+
+READFILES_PBOB= read_data_pbob_utils.c read_data_pbob.f90 read_pbob.c read_particle.c
+
+READFILES_H5PART= H5PartF.c H5PartAttribF.c H5Part.f90 H5PartAttrib.f90
+
+RUN_CHECKS=
+
+# link with hdf5 libraries
+ifeq ($(HDF5),yes)
+  READFILES+=$(READFILES_HDF5)
+  CFLAGS+=$(HDF5INCLUDE)
+  LDFLAGS+=$(HDF5LIBS)
+  FPPFLAGS+=-DHDF5
+  RUN_CHECKS+=checkhdf5
+endif
+
+
+ifeq ($(FITS),yes)
+  READFILES+= $(READFILES_FITS)
+  LDFLAGS+=$(FITSLIBS)
+  FPPFLAGS+=-DFITS
+  RUN_CHECKS+=checkfits
+endif
+
+ifdef PBOB_DIR
+  READFILES+=$(READFILES_PBOB)
+  VPATH+=$(PBOB_DIR)
+  RUN_CHECKS+=checkpbob
+endif
+
+ifdef H5PART_DIR
+  READFILES+=$(READFILES_H5PART)
+  VPATH+=$(H5PART_LIBS) $(HDF5LIBS)
+  RUN_CHECKS+=checkh5part
+endif
+
+
+SOURCES= $(PLOTLIB) globaldata.f90 utils_vectors.f90 asciiutils.f90 \
+         labels.f90 partutils.f90 transform.f90 setpage.f90 sort.f90 \

=== debian/changelog ===
splash (3.3.4-1) unstable; urgency=medium

  * New upstream version 3.3.4
  * Fix hardening flag propagation

 -- Ole Streicher <olebole@debian.org>  Mon, 24 Jan 2022 08:44:38 +0100

splash (3.3.3-1) unstable; urgency=medium

  * New upstream version 3.3.3
  * Remove unneeded debian/dirs

 -- Ole Streicher <olebole@debian.org>  Fri, 17 Dec 2021 08:18:18 +0100

splash (3.3.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Ole Streicher ]
  * Add text-gyre build dependency (Closes: #997456)

 -- Ole Streicher <olebole@debian.org>  Sun, 24 Oct 2021 17:26:22 +0200

splash (3.3.1-1) unstable; urgency=medium

  * Change upstream source to Github
  * New upstream version 3.3.1
  * Rediff patches
  * Push Standards-Version to 4.6.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Mon, 30 Aug 2021 08:45:30 +0200

=== debian/control ===
--- 
+++ 
@@ -10,15 +10,16 @@
                latexmk,
                python3-sphinx,
                python3-sphinx-rtd-theme,
+               tex-gyre,
                texlive-fonts-recommended,
                texlive-plain-generic,
                texlive-latex-base,
                texlive-latex-extra,
                texlive-latex-recommended
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/splash
 Vcs-Git: https://salsa.debian.org/debian-astro-team/splash.git
-Homepage: http://users.monash.edu.au/~dprice/splash/
+Homepage: https://users.monash.edu.au/~dprice/splash/
 Rules-Requires-Root: no
 
 Package: splash

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/splash-$1\.tar\.gz/ \
  https://github.com/danieljprice/splash/tags .*/v?(\d\S+)\.tar\.gz

## splash 3.5.1

=== debian/changelog ===
splash (3.5.1-1) unstable; urgency=medium

  * New upstream version 3.5.1
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 20 Jun 2022 14:11:53 +0200

splash (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0

 -- Ole Streicher <olebole@debian.org>  Fri, 25 Mar 2022 15:46:28 +0100

splash (3.3.5-1) unstable; urgency=medium

  * New upstream version 3.3.5

 -- Ole Streicher <olebole@debian.org>  Tue, 08 Mar 2022 15:48:49 +0100

## splash 3.6.0

=== build/Makefile ===
--- 
+++ 
@@ -365,11 +365,14 @@
 
 RUN_CHECKS=
 
+LDFLAGSLIB=
+
 # link with hdf5 libraries
 ifeq ($(HDF5),yes)
   READFILES+=$(READFILES_HDF5)
   CFLAGS+=$(HDF5INCLUDE)
   LDFLAGS+=$(HDF5LIBS)
+  LDFLAGSLIB+=$(HDF5LIBS)
   FPPFLAGS+=-DHDF5
   RUN_CHECKS+=checkhdf5
 endif
@@ -378,6 +381,7 @@
 ifeq ($(FITS),yes)
   READFILES+= $(READFILES_FITS)
   LDFLAGS+=$(FITSLIBS)
+  LDFLAGSLIB+=$(FITSLIBS)
   FPPFLAGS+=-DFITS
   RUN_CHECKS+=checkfits
 endif
@@ -396,4 +400,3 @@
 
 
 SOURCES= $(PLOTLIB) globaldata.f90 utils_vectors.f90 asciiutils.f90 \
-         labels.f90 partutils.f90 transform.f90 setpage.f90 sort.f90 \

=== debian/changelog ===
splash (3.6.0-1) unstable; urgency=medium

  * New upstream version 3.6.0
  * Push Standards-Version to 4.6.1. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Thu, 03 Nov 2022 09:13:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: splash
+Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Ole Streicher <olebole@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gfortran,
                giza-dev,
@@ -16,7 +16,7 @@
                texlive-latex-base,
                texlive-latex-extra,
                texlive-latex-recommended
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/splash
 Vcs-Git: https://salsa.debian.org/debian-astro-team/splash.git
 Homepage: https://users.monash.edu.au/~dprice/splash/
@@ -24,7 +24,8 @@
 
 Package: splash
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Visualisation tool for Smoothed Particle Hydrodynamics simulation
  This (formerly SUPERSPHPLOT) is a visualisation tool for output from
  (astrophysical) simulations using the Smoothed Particle Hydrodynamics

## splash 3.8.3

=== build/Makefile ===
--- 
+++ 
@@ -399,4 +399,5 @@
 endif
 
 
-SOURCES= $(PLOTLIB) globaldata.f90 utils_vectors.f90 asciiutils.f90 \
+SOURCES= $(PLOTLIB) globaldata.f90 utils_vectors.f90 \
+         asciiutils.f90 byteswap.f90 \

=== debian/changelog ===
splash (3.8.3-1) unstable; urgency=medium

  * New upstream version 3.8.3
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Thu, 06 Jul 2023 07:59:17 +0200

splash (3.8.2-1) unstable; urgency=medium

  * New upstream version 3.8.2
  * Rediff patches
  * Push Standards-Version to 4.6.2. No changes needed

 -- Ole Streicher <olebole@debian.org>  Sun, 25 Jun 2023 19:59:51 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                texlive-latex-base,
                texlive-latex-extra,
                texlive-latex-recommended
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/splash
 Vcs-Git: https://salsa.debian.org/debian-astro-team/splash.git
 Homepage: https://users.monash.edu.au/~dprice/splash/

## splash 3.10.1

=== build/Makefile ===
--- 
+++ 
@@ -64,6 +64,14 @@
 # If you need the HDF5 libraries, edit the lines below
 # possibly adding a -L/libpath/ and a -I/includepath/
 #
+ifndef HDF5ROOT
+ifdef HDF5_ROOT
+   HDF5ROOT=$(HDF5_ROOT)
+endif
+ifdef HDF5_DIR
+   HDF5ROOT=$(HDF5_DIR)
+endif
+endif
 HDF5LIBS    = -L$(HDF5ROOT)/lib -lhdf5
 HDF5INCLUDE = -I$(HDF5ROOT)/include
 H5PART_LIBS    = -L$(H5PART_DIR)/lib -lH5Part
@@ -349,7 +357,7 @@
            read_data_gadget_jsb.f90      read_data_foulkes.f90   read_data_jjm.f90 \
            read_data_jjm_multiphase.f90  read_data_mbate.f90     read_data_oilonwater.f90 \
            read_data_rsph.f90            read_data_urban.f90     read_data_spyros.f90 \
-           read_data_vanaverbeke.f90
+           read_data_vanaverbeke.f90     read_data_vtk.f90
 
 READFILES_HDF5= hdf5_helper_utils.c            read_data_gadget_hdf5_utils.c   read_data_gadget_hdf5.f90 \
                 read_data_amuse_hdf5_utils.c    read_data_amuse_hdf5.f90  \
@@ -395,9 +403,3 @@
 ifdef H5PART_DIR
   READFILES+=$(READFILES_H5PART)
   VPATH+=$(H5PART_LIBS) $(HDF5LIBS)
-  RUN_CHECKS+=checkh5part
-endif
-
-
-SOURCES= $(PLOTLIB) globaldata.f90 utils_vectors.f90 \
-         asciiutils.f90 byteswap.f90 \

=== debian/changelog ===
splash (3.10.1-2) unstable; urgency=medium

  * 'd/control': Add Phil Wyett <philip.wyett@kathenas.org> to uploaders.
  * 'd/watch': Use new GitHub API.
  * 'd/upstream/metadata':
    - Removed 'Changelog' field. Contains old, not relevant data.
    - Update code repository link.
    - Add bug reporting/tracking fields.
  * 'd/copyright': Add upstream contact.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 28 Jan 2024 10:43:54 +0000

splash (3.10.1-1) unstable; urgency=medium

  [ Ole Streicher ]
  * New upstream version 3.10.1

  [ Phil Wyett ]
  * Fix build failure from source after successful build (Closes: #1047967)

 -- Ole Streicher <olebole@debian.org>  Mon, 11 Dec 2023 09:23:44 +0100

splash (3.10.0-1) unstable; urgency=medium

  * New upstream version 3.10.0

 -- Ole Streicher <olebole@debian.org>  Thu, 30 Nov 2023 08:03:12 +0100

splash (3.9.0-1) unstable; urgency=medium

  * New upstream version 3.9.0
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 06 Nov 2023 07:59:48 +0100

splash (3.8.5-1) unstable; urgency=medium

  * New upstream version 3.8.5
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 23 Oct 2023 14:54:52 +0200

splash (3.8.4-1) unstable; urgency=medium

  * New upstream version 3.8.4
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sat, 19 Aug 2023 15:25:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: splash
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>
+Uploaders: Ole Streicher <olebole@debian.org>,
+           Phil Wyett <philip.wyett@kathenas.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),

## splash 3.10.3

=== debian/changelog ===
splash (3.10.3-1) unstable; urgency=medium

  * New upstream version, 3.10.3.
  * Quilt refreshed 'Use-FFLAGS-provided-by-the-system.patch'.
  * 'd/control':
    - Update 'Standards-Version' to 4.7.0, no changes required.
    - Remove 'Ole Streicher' as uploader and adopt package. (Closes: #764684)
  * 'd/copyright':
    - Add 'Files: debian/*' section.
    - Move debian packagers to 'Files: debian/*' section.
    - Add myself, Phil Wyett to 'Files: debian/*' section.
  * 'd/rules':
    - Add hardening 'all'.

 -- Phil Wyett <philip.wyett@kathenas.org>  Fri, 13 Sep 2024 15:41:15 +0100

## splash 3.11.1

=== debian/changelog ===
splash (3.11.1-2) unstable; urgency=medium

  * 'd/control':
    - Update 'Standards-Version' to 4.7.0.2, no changes required.
    - Following conversation with upstream author, change homepage to
      GitHub repository and away from unreliable 'monash.edu.au'.
  * 'd/upstream/metadata':
    - Update splash paper eprint link to reliable Harvard site not the
      unresponsive 'monash.edu.au' site.
    - Remove unreliable 'monash.edu.au' 'FAQ' and 'Gallery' links.

 -- Phil Wyett <philip.wyett@kathenas.org>  Tue, 04 Feb 2025 15:10:26 +0000

splash (3.11.1-1) unstable; urgency=medium

  * New upstream version, 3.11.1.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sat, 07 Dec 2024 12:42:16 +0000

splash (3.10.3-2) unstable; urgency=medium

  * Add 'd/splash.doc-base'.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 15 Sep 2024 11:02:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: splash
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>,
-           Phil Wyett <philip.wyett@kathenas.org>
+Uploaders: Phil Wyett <philip.wyett@kathenas.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -17,10 +16,10 @@
                texlive-latex-base,
                texlive-latex-extra,
                texlive-latex-recommended
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/splash
 Vcs-Git: https://salsa.debian.org/debian-astro-team/splash.git
-Homepage: https://users.monash.edu.au/~dprice/splash/
+Homepage: https://github.com/danieljprice/splash/
 Rules-Requires-Root: no
 
 Package: splash

## splash 3.11.2

=== build/Makefile ===
--- 
+++ 
@@ -180,6 +180,22 @@
 ifeq ($(SYSTEM),ifort)
 #  this is for the intel fortran compiler (version 10)
    FC= ifort
+   FFLAGS= -O3 -nbs
+   OMPFLAGS= -qopenmp
+   DBLFLAGS= -r8
+   DEBUGFLAG= -C -g
+   SYSTEMFILE= system_f2003.f90
+   ENDIANFLAGBIG= -convert big_endian
+   ENDIANFLAGLITTLE= -convert little_endian
+# or use setenv F_UFMTENDIAN=big or little at runtime
+   KNOWN_SYSTEM=yes
+   CC=icc
+   CFLAGS=-Wall -O3 -fPIC
+endif
+
+ifeq ($(SYSTEM),ifx)
+#  this is for the intel fortran compiler (version 10)
+   FC= ifx
    FFLAGS= -O3 -nbs
    OMPFLAGS= -qopenmp
    DBLFLAGS= -r8
@@ -381,25 +397,3 @@
   CFLAGS+=$(HDF5INCLUDE)
   LDFLAGS+=$(HDF5LIBS)
   LDFLAGSLIB+=$(HDF5LIBS)
-  FPPFLAGS+=-DHDF5
-  RUN_CHECKS+=checkhdf5
-endif
-
-
-ifeq ($(FITS),yes)
-  READFILES+= $(READFILES_FITS)
-  LDFLAGS+=$(FITSLIBS)
-  LDFLAGSLIB+=$(FITSLIBS)
-  FPPFLAGS+=-DFITS
-  RUN_CHECKS+=checkfits
-endif
-
-ifdef PBOB_DIR
-  READFILES+=$(READFILES_PBOB)
-  VPATH+=$(PBOB_DIR)
-  RUN_CHECKS+=checkpbob
-endif
-
-ifdef H5PART_DIR
-  READFILES+=$(READFILES_H5PART)
-  VPATH+=$(H5PART_LIBS) $(HDF5LIBS)

=== debian/changelog ===
splash (3.11.2-1) unstable; urgency=medium

  * New upstream version, 3.11.2.
  * 'debian/control':
    - Update 'Standards-Version' to 4.7.2, no changes required.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 06 Apr 2025 10:07:07 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                texlive-latex-base,
                texlive-latex-extra,
                texlive-latex-recommended
-Standards-Version: 4.7.0.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/splash
 Vcs-Git: https://salsa.debian.org/debian-astro-team/splash.git
 Homepage: https://github.com/danieljprice/splash/

## splash 3.11.4

=== debian/changelog ===
splash (3.11.4-1) unstable; urgency=medium

  [Phil Wyett]
  * New upstream version, 3.11.4.

  [Ole Streicher]
  * New uploader (Closes: 1109859)

 -- Ole Streicher <olebole@debian.org>  Mon, 25 Aug 2025 11:22:13 +0200

splash (3.11.3-1) unstable; urgency=medium

  * New upstream version, 3.11.3.

 -- Phil Wyett <philip.wyett@kathenas.org>  Thu, 24 Apr 2025 12:44:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: splash
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Phil Wyett <philip.wyett@kathenas.org>
+Uploaders: Ole Streicher <olebole@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),

## splash 3.11.5

=== build/Makefile ===
--- 
+++ 
@@ -21,6 +21,12 @@
 VPATH=$(SRCDIR) $(SRCDIR)/H5Part ../utils
 SHELL=/bin/bash
 
+#
+# use SYSTEM=gfortran if no SYSTEM variable is set
+#
+ifndef SYSTEM
+SYSTEM=gfortran
+endif
 #
 # some default settings for unix systems
 #
@@ -393,7 +399,3 @@
 
 # link with hdf5 libraries
 ifeq ($(HDF5),yes)
-  READFILES+=$(READFILES_HDF5)
-  CFLAGS+=$(HDF5INCLUDE)
-  LDFLAGS+=$(HDF5LIBS)
-  LDFLAGSLIB+=$(HDF5LIBS)

=== debian/changelog ===
splash (3.11.5-1) unstable; urgency=medium

  * New upstream version, 3.11.5.
  * 'd/control':
    - Add myself as uploader once more.

 -- Phil Wyett <philip.wyett@kathenas.org>  Thu, 11 Sep 2025 06:49:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: splash
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>
+Uploaders: Ole Streicher <olebole@debian.org>,
+           Phil Wyett <philip.wyett@kathenas.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
+
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
 export SYSTEM=gfortran
 
 %:

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%.*/v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
https://api.github.com/repos/danieljprice/splash/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@

## splash 3.11.6

=== Makefile ===
#----------------------------------------------------------------
#   Parent Makefile for SPLASH
#   This file is just a wrapper for the sub-make in the build
#   directory. Refer to build/Makefile for more details.
#
#   (c) 2007-2013 Daniel Price
#
#----------------------------------------------------------------

.PHONY: splash install docs tests src bin
splash:
	@cd build; ${MAKE} ${MAKECMDGOALS}

%::
	@cd build; ${MAKE} ${MAKECMDGOALS}

install:
	@cd build; ${MAKE} ${MAKECMDGOALS}

docs:
	@cd build; ${MAKE} ${MAKECMDGOALS}

clean:
	@cd build; ${MAKE} clean

=== docs/requirements.txt ===
sphinx-rtd-theme

=== debian/changelog ===
splash (3.11.6-1) unstable; urgency=medium

  [ Phil Wyett ]
  * 'd/watch': Migrate to new version 5 format.
  * Remove no longer needed 'Rules-Requires-Root: no'. Now is default behavior.

  [ Ole Streicher ]
  * d/watch: Force using default matching pattern
  * New upstream version 3.11.6
  * d/u/metadata: fix DOI keyword upcase
  * Remove Phil Wyett from uploaders

 -- Ole Streicher <olebole@debian.org>  Sun, 02 Nov 2025 12:46:14 +0100

=== debian/control ===
Source: splash
Standards-Version: 4.7.2
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders:
 Ole Streicher <olebole@debian.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 gfortran,
 giza-dev,
 help2man,
 latexmk,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 tex-gyre,
 texlive-fonts-recommended,
 texlive-plain-generic,
 texlive-latex-base,
 texlive-latex-extra,
 texlive-latex-recommended,
Vcs-Browser: https://salsa.debian.org/debian-astro-team/splash
Vcs-Git: https://salsa.debian.org/debian-astro-team/splash.git
Homepage: https://github.com/danieljprice/splash/

Package: splash
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Visualisation tool for Smoothed Particle Hydrodynamics simulation
 This (formerly SUPERSPHPLOT) is a visualisation tool for output from
 (astrophysical) simulations using the Smoothed Particle Hydrodynamics
 (SPH) method in one, two and three dimensions. It is written in
 Fortran 90 and can utilise the PGPLOT graphics subroutine library to do
 the actual plotting. It is based around a command-line menu structure
 but utilises the interactive capabilities of PGPLOT to manipulate data
 interactively in the plotting window.

=== debian/watch ===
Version: 5
Template: Github
Owner: danieljprice
Project: splash
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@STABLE_VERSION@

## splash 3.11.7

=== build/Makefile ===
--- 
+++ 
@@ -266,6 +266,7 @@
 # these are the flags used for linking
 #
 LDFLAGS= $(X11_LIBS) $(PGPLOTLIBS)
+PIELDFLAGS= -pie
 
 #
 # this is an option to change the endian-ness at compile time
@@ -371,15 +372,16 @@
 # modules must be compiled in the correct order to check interfaces
 # really should include all dependencies but I am lazy
 
-READFILES= read_data_ascii.f90           read_data_sphNG.f90     read_data_ndspmhd.f90 \
-           read_data_gadget.f90          read_data_VINE.f90      read_data_sro.f90 \
-           read_data_dragon.f90          read_data_seren.f90     read_data_tipsy.f90 \
-           read_data_mhutch.f90          read_data_UCLA.f90      read_data_aly.f90 \
-           read_data_bauswein.f90        read_data_egaburov.f90  read_data_starsmasher.f90 \
-           read_data_gadget_jsb.f90      read_data_foulkes.f90   read_data_jjm.f90 \
-           read_data_jjm_multiphase.f90  read_data_mbate.f90     read_data_oilonwater.f90 \
-           read_data_rsph.f90            read_data_urban.f90     read_data_spyros.f90 \
-           read_data_vanaverbeke.f90     read_data_vtk.f90
+READFILES= utils_json.f90 \
+           read_data_ascii.f90           read_data_sphNG.f90        read_data_ndspmhd.f90 \
+           read_data_gadget.f90          read_data_VINE.f90         read_data_sro.f90 \
+           read_data_dragon.f90          read_data_seren.f90        read_data_tipsy.f90 \
+           read_data_mhutch.f90          read_data_UCLA.f90         read_data_aly.f90 \
+           read_data_bauswein.f90        read_data_egaburov.f90     read_data_starsmasher.f90 \
+           read_data_gadget_jsb.f90      read_data_foulkes.f90      read_data_jjm.f90 \
+           read_data_jjm_multiphase.f90  read_data_mbate.f90        read_data_oilonwater.f90 \
+           read_data_rsph.f90            read_data_urban.f90        read_data_shamrock.f90 \
+           read_data_spyros.f90          read_data_vanaverbeke.f90  read_data_vtk.f90
 
 READFILES_HDF5= hdf5_helper_utils.c            read_data_gadget_hdf5_utils.c   read_data_gadget_hdf5.f90 \
                 read_data_amuse_hdf5_utils.c    read_data_amuse_hdf5.f90  \
@@ -393,9 +395,3 @@
 
 READFILES_H5PART= H5PartF.c H5PartAttribF.c H5Part.f90 H5PartAttrib.f90
 
-RUN_CHECKS=
-
-LDFLAGSLIB=
-
-# link with hdf5 libraries
-ifeq ($(HDF5),yes)

=== debian/changelog ===
splash (3.11.7-1) unstable; urgency=medium

  * New upstream version 3.11.7
  * Rediff patches
  * Push Standards-Version to 4.7.3, no changes needed

 -- Ole Streicher <olebole@debian.org>  Sat, 10 Jan 2026 14:01:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: splash
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders:
  Ole Streicher <olebole@debian.org>,
